#include "FastaWriter.hh"

namespace deweylab {
namespace app {

FastaWriter::FastaWriter(std::ostream& stream) :
    Application(),
    out_stream(stream) {
    parser.addCastCallbackOpt(
        'w', "fasta-width",
        "number of characters at which sequence is wrapped.  Set to zero "
        "to disable wrapping",
        std::bind1st(std::mem_fun(&FastaWriter::set_line_width), this),
        "WIDTH");
}

void FastaWriter::set_line_width(size_t width) {
    out_stream.setLineWidth(width);
}

void FastaWriter::write_record(Record& rec) {
    out_stream << rec;
}

} }
