/* Copyright (c) 2007
   Colin Dewey (University of Wisconsin-Madison)
   cdewey@biostat.wisc.edu
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __DEWEYLAB_BIO_GENOME_SEQUENCEDB_HH__
#define __DEWEYLAB_BIO_GENOME_SEQUENCEDB_HH__

#include "deweylab/bio/genome/Interval.hh"

namespace deweylab {
namespace bio {
namespace genome {

class SequenceDB {
public:
	virtual std::string getSeq(const std::string& title) = 0;

	virtual std::string getSubseq(const std::string& title,
	                              const Position start,
	                              const Position end);

	virtual std::string getStrandSubseq(const std::string& title,
	                                    const Position start,
	                                    const Position end,
	                                    const Strand strand);
	
    virtual std::string getIntervalSubseq(const Interval& i);

	virtual ~SequenceDB() {}
};

} } }

#endif // __DEWEYLAB_BIO_GENOME_SEQUENCEDB_HH__
